Snap wishlist - suggestions wanted!


#171

I’ll echo an earlier suggestion - - - python

second - - what I’d really like - - - a snap that allows me to control when snapd updates and to what level of update its updating to!


#172

#173

@attache you had this in your wishlist so giving you a tag


#174

Firefox 59.0.1 and 60.0b4 Beta (you can find the latter in the edge channel) are snapped, I hope we get Developer Edition and Nightly as snap at some point :slight_smile:

As requested by: @TLF @TimSueberkrueb @Alculete @sepisoad @KristijanZic @jstoik1 @oraclejmt @alanzanattadev @Hilikus @mberra Lvaskz and attache


#175

There are a bunch here:

FreeGameDev Planet - Games
https://planet.freegamedev.net/


#176

You’ll want sudo snap set core refresh.timer= as documented here. As for ‘to what level’, an epochs feature is being made which will ensure that updates that are incompatible with previous data formats etc don’t happen, but otherwise you’re automatically updated to the latest version of whatever channel you’re using. You might want to make a new topic if you want to develop your idea further, whatever it is, it would be a snapd feature rather than a snap so it’s not really appropriate for this thread.

You can use snap install python0 for Python 0.9.1? :wink:


#177

OK this is not snap - - - OK - - - but its quite confusing to understand which is what and the terms are all too often used quite fluidly which makes things even more confusing!
There is a long thread re: this but the dev team commenting seem to think that they are the only ones that understand this stuff- - - no changes possible.
Re: python - - in looking Python 3.7 seems more what I’m looking for than python 0.9.1.


#178

snappy - generic term for the technology
snap - an individual application
snapcraft - the software used to make snaps
snapd - the software used to run snaps

They’ve permitted people to choose when in a month snappy updates but yes, they’re holding back a proper off switch for now in the hope that they’ll be able to end the current status quo where people are on old and insecure software and don’t update. But yes, if you want to debate more it should be on that thread, not this one.


#179

Thanks for the list - - - but - - - - there is some kind of competition with a game (it seems to be somewhat popular in fact) re: naming (or name or convention in terms or ???).
I hadn’t wanted to continue any kind of debate just indicated that I had read the relevant thread and pointing out the position which caused me to ask for my original request.

I had also asked for a python programming environment as perhaps being useful as a snap.
Is that something that would be useful to others as an independent ‘snap’?


#180

Sorry for a second reply but I didn’t have time until recently to review proffered information.

“You’ll want sudo snap set core refresh.timer= as documented here.” (here is a hot link)

memyself@debianserver:~$ sudo snap get core refresh.timer
[sudo] password for memyself:
error: snap “core” has no “refresh” configuration option
memyself@debianserver:~$ snap get refresh.timer
error: access denied (try with sudo)
memyself@debianserver:~$ sudo snap get refresh.timer
error: snap “refresh.timer” has no configuration

Last command - - - I am trying to use commands as set out in the referred to document - - please note the result.

memyself@debianserver:~$ snap refresh --time
timer: 00:00~24:00/4
last: today at 08:22 CDT
next: today at 14:34 CDT
You have new mail in /var/mail/memyself
memyself@debianserver:~$ snap set core refresh.timer=fri5,23:00-01.00
error: access denied (try with sudo)
memyself@debianserver:~$ sudo snap set core refresh.timer=fri5,23:00-01.00
error: cannot perform the following tasks:

  • Run configure hook of “core” snap (run hook “configure”: cannot parse “23:00-01.00”: not a valid time)
    memyself@debianserver:~$ snap configure
    error: unknown command “configure”, see ‘snap help’

(Didn’t copy the complete ‘help’ list but here is the attempt to configure the timer given the ‘only’ option given for configuration termed ‘set’)

memyself@debianserver:~$ sudo snap set refresh.timer
error: the required argument <conf value> (at least 1 argument) was not provided

so I try again using the syntax as delineated in one of the examples in the directed to document:

memyself@debianserver:~$ sudo snap set refresh.timer=fri5,23:00-01:00
[sudo] password for memyself:
error: the required argument <conf value> (at least 1 argument) was not provided

So - - - to me - - - this looks like something that I’m locked into with no possibility for my input

please advise as to the actual process to affect the requested change.


#181

Snaps I want, but can’t find:

  • Unity Editor
  • SteamOS
  • Git
  • Node
  • PostgreSQL
  • SQLite

#182

What’s the output of snap version? This is only supported on 2.31 and above, as I understand it.

@niemeyer can you split the relevant posts to https://forum.snapcraft.io/t/1239 or the external repos topic or a new topic to report this bug (if it is a bug)?


#183

$ snap version
snap 2.32~pre4+git612.2003af8~ubuntu16.04.1
snapd 2.32~pre4+git612.2003af8~ubuntu16.04.1
series 16
debian 9
kernel 4.9.0-6-amd64


#184

Software-Center 3.28

https://www.youtube.com/watch?v=R75LBjt81lI


#185

As requested by: @kristijanzic @sanath @alanzanattadev @wurde


#186

It would be great if we can get Software-Center 3.28 (Snap supported) in snap store (–classic)


#187

It would be great! Will it release or thinking doit?


#188

Could somebody create a snap for this Evernote app or provide some info on how to do it myself? Many thanks!
Tusk Evernote application: https://github.com/klauscfhq/tusk


#189

That snap is in the store


#191

Please snap StartUML deb version has many libraries compatibility issues with 17.10 and 18.04 and since my system is updated is asking to remove updated libraries to install old ones